Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtArrowButton Class Reference

List of all members.

## Detailed Description

Arrow Button.

A push button with one or more filled triangles on its front. An Arrow button can have 1 to 3 arrows in a row, pointing up, down, left or right.

Definition at line 23 of file qwt_arrbtn.h.

## Public Member Functions
| QwtArrowButton (int num, Qt::ArrowType, QWidget *parent, const char *name=0)
Qt::ArrowType | arrowType () const
int | num () const
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
virtual QSizePolicy | sizePolicy () const
## Protected Member Functions
virtual void | drawButtonLabel (QPainter *p)
virtual void | drawArrow (QPainter *, const QRect &, Qt::ArrowType) const
virtual QRect | labelRect () const
virtual QSize | arrowSize (Qt::ArrowType, const QSize &boundingSize) const
virtual void | keyPressEvent (QKeyEvent *)

## Constructor & Destructor Documentation

QwtArrowButton::QwtArrowButton | ( | int | num,
|  | Qt::ArrowType | arrowType,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

  | Parameters:
  | num | Number of arrows
  | arrowType | see Qt::ArowType in the Qt docs.
  | parent | Parent widget
  | name | Object name
Definition at line 28 of file qwt_arrbtn.cpp. References qwtLim().

## Member Function Documentation

QSize QwtArrowButton::arrowSize | ( | Qt::ArrowType | arrowType,
|  | const QSize & | boundingSize
| ) | const`[protected, virtual]`

  | Calculate the size for a arrow that fits into a rect of a given size Parameters:
  | arrowType | Arrow type
  | boundingSize | Bounding size
Returns: Size of the arrow Definition at line 248 of file qwt_arrbtn.cpp. Referenced by drawButtonLabel(), and minimumSizeHint().

Qt::ArrowType QwtArrowButton::arrowType | ( |  | ) | const

| The direction of the arrows. Definition at line 46 of file qwt_arrbtn.cpp.

void QwtArrowButton::drawArrow | ( | QPainter * | p,
|  | const QRect & | r,
|  | Qt::ArrowType | arrowType
| ) | const`[protected, virtual]`

  | Draw an arrow int a bounding rect Parameters:
  | p | Painter
  | r | Rectangle where to paint the arrow
  | arrowType | Arrow type
Definition at line 160 of file qwt_arrbtn.cpp. Referenced by drawButtonLabel().

void QwtArrowButton::drawButtonLabel | ( | QPainter * | p | ) | `[protected, virtual]`

| Draw the button label. See also: The Qt Manual on QPushButton Definition at line 96 of file qwt_arrbtn.cpp. References arrowSize(), drawArrow(), and labelRect().

void QwtArrowButton::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

| autoRepeat for the space keys Definition at line 278 of file qwt_arrbtn.cpp.

QRect QwtArrowButton::labelRect | ( |  | ) | const`[protected, virtual]`

| Returns: the bounding rect for the label Definition at line 62 of file qwt_arrbtn.cpp. Referenced by drawButtonLabel().

QSize QwtArrowButton::minimumSizeHint | ( |  | ) | const`[virtual]`

| Return a minimum size hint. Definition at line 220 of file qwt_arrbtn.cpp. References arrowSize(). Referenced by sizeHint().

int QwtArrowButton::num | ( |  | ) | const

| The number of arrows. Definition at line 54 of file qwt_arrbtn.cpp.

QSize QwtArrowButton::sizeHint | ( |  | ) | const`[virtual]`

| Returns: a size hint Definition at line 212 of file qwt_arrbtn.cpp. References minimumSizeHint().

QSizePolicy QwtArrowButton::sizePolicy | ( |  | ) | const`[virtual]`

| Returns: Fixed/Expanding for Left/Right, Expanding/Fixed for Up/Down Definition at line 198 of file qwt_arrbtn.cpp.